package cn.axzo.workflow.core.converter.json;


import cn.axzo.workflow.common.model.request.bpmn.BpmnJsonNode;
import org.flowable.bpmn.model.Process;
import org.flowable.bpmn.model.StartEvent;

import static cn.axzo.workflow.common.constant.BpmnConstants.START_EVENT_ID;

/**
 * 开始节点
 *
 * @author wangli
 * @since 2023/10/12 11:04
 */
public class StartEventJsonConverter extends AbstractBpmnJsonConverter<StartEvent> {

    @Override
    public StartEvent convertJsonToElement(BpmnJsonNode node, Process process) {
        StartEvent startEvent = new StartEvent();
        startEvent.setId(START_EVENT_ID);
        //        startEvent.setInitiator("");
        return startEvent;
    }
}
